# 1. launch multi navigation.
# 2. run this test.


from main_engine_client import IF as Engine
import time
from pyrois.RoIS_Common import Component_Status
from utilities import setup_multi_robot

process = setup_multi_robot()

engine = Engine('http://127.0.0.1:8000')
print("Engine was established.")
time.sleep(10)
engine.connect()
for dest in [[25, 0, 0], [0, 20, 0], [5, 0, 0]]:
    status = engine.set_parameter('Navigation', dest, "", "")
    print(status)
    time.sleep(5)
#  engine.all_finished()

time.sleep(30)
engine.disconnect()
print("finish")
